import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { SignalViewComponent } from './signal-view.component';
import { SignalViewService } from './signal-view.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('InformativRapportViewComponent', () => {
  let component: SignalViewComponent;
  let fixture: ComponentFixture<SignalViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SignalViewComponent, LayoutComponent],
      imports: [RouterTestingModule, ApmModule, HttpClientTestingModule],
      providers: [SignalViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SignalViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
